Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000502 [1003.1(2008)/Issue 7] Base Definitions and Headers Editorial Error 2011-10-19 00:05 2012-08-30 09:16
Reporter weeks View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Nathan Weeks
Organization Iowa State University HPC Group
User Reference
Section 4.16 Semaphore
Page Number 113
Line Number 3094-3095
Interp Status Approved
Final Accepted Text See Note: 0000996
Summary 0000502: XSI semaphore maximum value
Description Section 4.16 states:

  For the semaphores associated with the X/Open System Interfaces (XSI) option,
  a semaphore is a positive integer (0 through 32767).

However, at least the HP-UX 11i semvmx and Solaris 10 semsys:seminfo_semvmx tunable parameters can be set to allow semaphore values of up to 65535.
Desired Action Consider rewording the text to account for these different system-imposed limits.
Tags issue8
Attached Files

- Relationships

-  Notes
(0000992)
drepper (reporter)
2011-10-19 00:42

There is no need for a change. Every implementation can differ. The standard only requires a minimum maximum. For compliance there only has to be one environment where the standard test suite is passed.
(0000996)
jim_pugsley (manager)
2011-10-20 16:02
edited on: 2011-10-20 16:06

Interpretation response
------------------------
The standard states that the maximum value for a semaphore is 32767, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
0 is not a positive integer, and some implementations supply a larger maximum value.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Implement changes in note Note: 0000997.

(0000997)
jim_pugsley (manager)
2011-10-20 16:04

At line 3095, change:

    ... a semaphore is a positive integer (0 through 32767).

to:

    ... a semaphore is an integer with minimum value 0 and an
    implementation-defined maximum value which shall be at least
    32767.
(0001295)
ajosey (manager)
2012-06-29 16:17

Interpretation proposed 29 June 2012 for final 45 day review
(0001358)
ajosey (manager)
2012-08-30 09:16

Interpretation approved 30 Aug 2012

- Issue History
Date Modified Username Field Change
2011-10-19 00:05 weeks New Issue
2011-10-19 00:05 weeks Status New => Under Review
2011-10-19 00:05 weeks Assigned To => ajosey
2011-10-19 00:05 weeks Name => Nathan Weeks
2011-10-19 00:05 weeks Organization => Iowa State University HPC Group
2011-10-19 00:05 weeks Section => 4.16 Semaphore
2011-10-19 00:05 weeks Page Number => 0
2011-10-19 00:05 weeks Line Number => 0
2011-10-19 00:17 Don Cragun Page Number 0 => 113
2011-10-19 00:17 Don Cragun Line Number 0 => 3094-3095
2011-10-19 00:17 Don Cragun Interp Status => ---
2011-10-19 00:42 drepper Note Added: 0000992
2011-10-20 16:02 jim_pugsley Note Added: 0000996
2011-10-20 16:04 jim_pugsley Note Added: 0000997
2011-10-20 16:06 jim_pugsley Note Edited: 0000996
2011-10-20 16:08 jim_pugsley Tag Attached: issue8
2011-10-20 16:10 jim_pugsley Status Under Review => Interpretation Required
2011-10-20 16:10 jim_pugsley Resolution Open => Accepted As Marked
2011-10-20 16:12 jim_pugsley Interp Status --- => Pending
2011-10-20 16:12 jim_pugsley Final Accepted Text => See Note: 0000996
2012-06-29 16:17 ajosey Interp Status Pending => Proposed
2012-06-29 16:17 ajosey Note Added: 0001295
2012-08-30 09:16 ajosey Interp Status Proposed => Approved
2012-08-30 09:16 ajosey Note Added: 0001358


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker